Bug 478388 (UDAV)

Summary: Review Request: UDAV - data visualisation program
Product: [Fedora] Fedora Reporter: D Haley <mycae>
Component: Package ReviewAssignee: Rakesh Pandit <rpandit>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: alexl, fedora-package-review, notting, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-21 15:04:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 478372    
Bug Blocks: 201449    

Description D Haley 2008-12-29 04:55:50 EST
SPEC URL: http://dhd.selfip.com/427e/udav.spec
SRPM URL: http://dhd.selfip.com/427e/udav-0.5-1.fc10.src.rpm 

Description:
UDAV is program for data array visualization and is based on the MathGL
library.  It supports a wide range of graphical plots, provides a simple
scripting language and allows for visual data manipulation and editing via
a WYSIWYG interface.

rpmlint (spec, RPM and SRPM):
empty.

koji scratch:
No, waiting for dependancy bug.
Comment 1 Fabian Affolter 2009-01-09 04:58:00 EST
Just some quick comment on your spec file

- '%prep rm -rf $RPM_BUILD_ROOT' looks a bit unusual.
- Please use %defattr(-,root,root,-) instead of %defattr(-,root,root)
- '--vendor fedora' is no longer needed
  see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
- Is 'Requires: qt4' necessary? I guess that rpm will pick this up automatically.
- You should preserve the time stamps
  - cp -p ...
  - make install ..... INSTALL="install -p"
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
Comment 2 D Haley 2009-01-09 08:07:14 EST
SPEC URL: http://dhd.selfip.com/427e/udav-2.spec
SRPM URL: http://dhd.selfip.com/427e/udav-0.5-2.fc10.src.rpm 

>- '%prep rm -rf $RPM_BUILD_ROOT' looks a bit unusual.
OK, it now uses %setup -q

> - You should preserve the time stamps
>  - cp -p ...
Done. Pixmap now preserves timestamp.

> make install ..... INSTALL="install -p"
Not required. The supplied makefile already does this (not an autoconf makefile anyway, so setting INSTALL won't do the right thing.)

>Is 'Requires: qt4' necessary? I guess that rpm will pick this up
automatically.
No, it isn't. Yes rpm will get it as mathgl has it as a Requires.Fixed.

> - Please use %defattr(-,root,root,-) instead of %defattr(-,root,root)
OK. done.
Comment 3 Fabian Affolter 2009-01-11 19:20:47 EST
Change your summary to something like 'Summary: Universal data array visualization', there is no need to repeat the package name.
Comment 4 D Haley 2009-01-13 03:01:38 EST
SPEC URL: http://dhd.selfip.com/427e/udav-3.spec
SRPM URL: http://dhd.selfip.com/427e/udav-0.5-3.fc10.src.rpm 

> Change your summary to something like 'Summary: Universal data array
> visualization', there is no need to repeat the package name.

Summary has been changed.

If it is possible to aggregate comments, this would be appreciated, as there is a small amount of overhead in updating these packages. Thanks.
Comment 5 Fabian Affolter 2009-04-28 04:30:05 EDT
0.5.1 was released 4 March 2008

- Animation in GIF format can be created now.
- Add option to save each frame in separate JPEG file.
- Add picture export into GIF format.
- Add error message of unbalanced '.
- Add "Delete All" buttons for clearing all data.
- Help window is always raised now.
- Data page is shown by default now.
- Bug with wrong opening of "Animation setup" dialog if file contain animation info is corrected.
Comment 6 D Haley 2009-04-28 07:31:12 EDT
Thanks for the reminder. I will attend to this this coming weekend.
Comment 7 D Haley 2009-05-02 00:06:45 EDT
SPEC URL : http://dhd.selfip.com/427e/udav-0.5.1-1.spec
SRPM URL : http://dhd.selfip.com/427e/udav-0.5.1-1.fc10.i386.rpm

Koji : No, pending mathgl.

RPMLint output:
$ rpmlint udav.spec ../SRPMS/udav-0.5.1-1.fc10.src.rpm ../RPMS/i386/udav-0.5.1-1.fc10.i386.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Changelog:
* Sat May 02 2009 <mycae(a!t)yahoo.com> 0.5.1-1
- Update to 0.5.1
Comment 9 Susi Lehtola 2009-07-08 13:22:29 EDT
- Preserve time stamps during charset conversion.

- Drop explicit requires.

- Patch thingy looks horrible:
a) it doesn't work if %{_sourcedir} is read-only
b) if the build is stopped in the middle the patch file is lost
and so on.

I suggest either patching first and then sed'ing the resulting file, or running patch manually:
 sed 's!%%{_docdir}/%%{name}-%%{version}/!%{_docdir}/%{name}-%{version}/!' %{PATCH1} > patchfile
 patch -p1 < patchfile

- Instead of the looped rm, just run
 find . -name .svn -exec rm -rf {} \;
Comment 10 D Haley 2009-07-09 09:54:23 EDT
SPEC URL: http://dhd.selfip.com/427e/udav-0.5.2-1.spec
SRPM URL: http://dhd.selfip.com/427e/udav-0.5.2-1.fc10.src.rpm

>- Instead of the looped rm, just run
> find . -name .svn -exec rm -rf {} \;  
This causes problems with nested .svn files, where find isn't happy if you try to delete a file that was in a deleted subdir.. Anyway the point is moot as the .svn files are no longer in the 0.5.2 tarball, so I have removed it entirely.

> - Preserve time stamps during charset conversion.
Fixed.

>- Patch thingy looks horrible:
> ...
>I suggest either patching first and then sed'ing the resulting file, or running
>patch manually:
Done via manual patch. rpmlint now emits a warning, but this can be ignored.
Comment 11 Jason Tibbitts 2009-11-12 20:41:16 EST
This fails to build for me; a scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=1804299

Please clear the whiteboard when you have a package which builds.
Comment 14 Bug Zapper 2009-11-18 05:35:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Rakesh Pandit 2010-01-08 02:38:32 EST
[x] - Ok, [-] Needs input, [na] - Not Applicable

[x] http://koji.fedoraproject.org/koji/taskinfo?taskID=1908693 - Builds fine
[x] rpmlint complains about patch not applied

udav.src: W: patch-not-applied Patch1: udav-help-path.patch

ignore as you are moving in tmp and doing some sed and applying it.

[-] License: what is license of png files ? May you confirm from upstream ? There are few svg files in template folder also ? Why are they used for ? What are pascal files in that folder for ? License field says license is GPLv2 but src files say it could be later also so correct license field should be GPLv2+ and license of picture files ?

May you investiagete here and contact upstream to clearly mention the license information in readme files or some place.

[x] Name fine
[x] spec name file
[x] optflags usage fine
[-] short name for icon does not need extension so change it to 'Icon=udav' (png is assumed by default)

value "udav.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

[-] key "Encoding" in group "Desktop Entry" is deprecated
[-] desktop-file-validate %{buildroot}/%{_datadir}/applications/foo.desktop run this in spec and you can get warnings easily
[x] symlink uses absolute path
[-] Check with upstream about patches. One of them seems to be fedora specific mention that in spec file. Provide necessary reference to your interaction with upstream also if possible. Have you also reported about inclusion of desktop file in upstream code base ?
[x] all folders owned by package
[x] timestamps are being saved
[x] source is from upstream 5d857ded986d65613d8a0f5d482ea33baf30f1b1 (sha1sum matches)
[x] use example_mgl_eng.html in docs
[-] man page does seem to be included, it is present in udav
[-] Why are you not installing icons in %{_datadir}/icons/ and using icon cache ?
[x] spec file is in american english and legible
[x] debuginfo file is fine
[x] successfully compiles on primary archs
[x] BR fine
[na] no locales
[x] %file section seems to be ok
[x] valid file names

May you have a look at issues I mentioned ?

Thanks,
Comment 16 D Haley 2010-01-08 19:36:55 EST
Thanks for the review.

Unfortunately my fedora box's motherboard packed it in the other day and, being quite busy at the moment, I will not be able to replace it for another month at the least. In addition I had been side-prepping the newer release of UDAV which came out a few weeks ago. 

So in short, I will most certainly address your review, but not for another 4-6 weeks.
Comment 17 D Haley 2010-02-19 16:18:36 EST
Still stalled (no machine). I have recovered my in-progress spec to here, please don't review it, just so that we aren't continually 404ing:

http://mycae.fedorapeople.org/SPECS/udav.spec
Comment 18 Rakesh Pandit 2010-12-16 07:38:49 EST
Hi  D Haley, Any updates ?
Comment 19 Alex Lancaster 2011-11-30 14:04:16 EST
Review seems stalled.  Will wait a month as per:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

before closing
Comment 20 D Haley 2011-12-21 14:59:34 EST
Please close. I no longer have sufficient time to attend to this properly.
Comment 21 Alex Lancaster 2011-12-21 15:04:29 EST
Closing and marking as FE-DEADREVIEW as per policy.  Hopefully somebody else can take over submission at some future point.